<?xml version="1.0" encoding="UTF-8"?><web-app id="WebApp_ID" version="2.5" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">
    <description>Delivery Servlet</description>
    <servlet>
        <servlet-name>Delivery</servlet-name>
        <servlet-class>org.spec.jent.supplier.web.SupplierDomainServlet</servlet-class>
        <load-on-startup>2</load-on-startup>
    </servlet>
    <servlet-mapping>
        <servlet-name>Delivery</servlet-name>
        <url-pattern>/DeliveryServlet</url-pattern>
    </servlet-mapping>
    <session-config>
        <session-timeout>30</session-timeout>
    </session-config>
    <env-entry>
        <env-entry-name>debuglevel</env-entry-name>
        <env-entry-type>java.lang.Integer</env-entry-type>
        <env-entry-value>0</env-entry-value>
    </env-entry>
    <ejb-local-ref>
        <ejb-ref-name>ejb/SupplierSessionLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.supplier.session.SupplierSessionLocal</local>
        <ejb-link>SupplierSession</ejb-link>
    </ejb-local-ref>
    <ejb-local-ref>
        <ejb-ref-name>org.spec.jent.supplier.web.BuyerService/receiver</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local>org.spec.jent.ejb.supplier.session.SupplierSessionLocal</local>
        <injection-target>
            <injection-target-class>org.spec.jent.supplier.web.BuyerService</injection-target-class>
            <injection-target-name>receiver</injection-target-name>
        </injection-target>
    </ejb-local-ref>
</web-app>